#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "qprogressdialog.h"
#include "qthread.h"

MainWindow::MainWindow(QWidget *parent) :
	QMainWindow(parent),
	ui(new Ui::MainWindow)
{
	int i;
	QString label("This is a very long text that will not fit this box.");
	ui->setupUi(this);
	QProgressDialog dia(label, "Stop", 0, 100, this);
	dia.setWindowModality(Qt::WindowModal);
	dia.setMinimumDuration(0);
	QFont defaultFont = qApp->font();
	defaultFont.setPointSizeF(6);
	qApp->setFont(defaultFont);
	for (i = 0; i < 100; i++) {
		dia.setValue(i);
		defaultFont.setPointSizeF(2 + i);
		qApp->setFont(defaultFont);

		// This is needed, otherwise the box will not grow.
		dia.setLabelText(label);
		if (dia.wasCanceled())
			break;
		QThread::msleep(1000);
	}
}

MainWindow::~MainWindow()
{
	delete ui;
}
